import request from '@/utils/request'

// 查询员工角色列表
export function listAiSopCallUser(query) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/list',
    method: 'get',
    params: query
  })
}

// 查询员工角色详细
export function getAiSopCallUser(id) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/' + id,
    method: 'get'
  })
}

// 新增员工角色
export function addAiSopCallUser(data) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser',
    method: 'post',
    data: data
  })
}

// 修改员工角色
export function updateAiSopCallUser(data) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser',
    method: 'put',
    data: data
  })
}

// 删除员工角色
export function delAiSopCallUser(id) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/' + id,
    method: 'delete'
  })
}

// 导出员工角色
export function exportAiSopCallUser(query) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/export',
    method: 'get',
    params: query
  })
}


// 获取模型列表（分页查询）
export function getMode(params) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/getMode',
    method: 'get',
    params: params
  })
}


// 获取音色列表
export function getVoicesDict() {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/getVoicesDict',
    method: 'get',
  })
}

// 获取指定模型的语音标识列表
export function getVoicesDictByModelId(params) {
  return request({
    url: '/aiSopCallUser/aiSopCallUser/getVoicesDictByModelId',
    method: 'get',
    params: params
  })
}

// 保存本地语音
export function saveUploadOssFile(file, fileName) {
  const formData = new FormData();
  formData.append('file', file);
  formData.append('fileName', fileName);

  return request({
    url: '/aiSopCallUser/aiSopCallUser/saveUploadOssFile',
    method: 'post',
    data: formData,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
